#!/usr/bin/perl -w 
#You must have the comment above for Active Perl to work!

#Programmer....: Michael Thomas
#Description...: Sends email using the Net::SMTP->new() command.
#
#  Note:
#  For your testing, please use the name of your SMTP mail server (outgoing mail).
#  Also, use you email address.
#
#************************************************************************************
# Start:  Must customize this code.  Enter your SMTP mail server name (Outgoing Mail)
#************************************************************************************

#Next, open connection to SMTP mail server

$strSMTPMailServer = '<enter your SMTP Mail server name here> ex: mail.abccompany.com';

use Net::SMTP;
$smtp = Net::SMTP->new($strSMTPMailServer); 

#************************************************************************************

use CGI;

$cgi = CGI::new();

#Note:  $ENV{USER}  - users email-from.

$from    = "testing_from\@michael-thomas.com"; 
$to      = "testing_to\@michael-thomas.com";
$subject = "Testing email using Net::SMTP";

$body    = "Hello World - Basic Test.  \n\n";
$body    = $body . "domain = " . $smtp->domain() . "\n";
$body    = $body . "SMTP mail server = " . $strSMTPMailServer; 


print $cgi->header();

print $cgi->p( "domain = ", $smtp->domain(),"\n"); 
print $cgi->p( "SMTP hostname = ", $strSMTPMailServer,"\n"); 

print $cgi->hr();

print $cgi->p("Sending an email. <br><br>",
              "from = "   , $from     ,"<br>",
              "to = "     , $to       ,"<br>",
              "subject = ", $subject  ,"<br>",
              "body = "   , $body );

print $cgi->p("Starting... (look for finished below) "); 

$smtp->mail($from); 
$smtp->to($to); 

$smtp->data(); 
$smtp->datasend("To: ", $to, "\n"); 
$smtp->datasend("Subject: ", $subject, "\n"); 
$smtp->datasend("\n"); 
$smtp->datasend($body); 
$smtp->dataend(); 
$smtp->quit;

print $cgi->p("Finished..."); 
print $cgi->hr(); 
$cgi->quit;
